explain_vsnprintf_or_die(3)

NAME
explain_vsnprintf_or_die - formatted output conversion and report errors
    "formatted output conversion and report errors"

SYNOPSIS
#include <libexplain/vsnprintf.h>

int explain_vsnprintf_or_die(char *data, size_t data_size, const char *format, va_list ap);
int explain_vsnprintf_on_error(char *data, size_t data_size, const char *format, va_list ap);

DESCRIPTION
The explain_vsnprintf_or_die function is used to call the vsnprintf(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_vsnprintf(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_vsnprintf_on_error function is used to call the vsnprintf(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_vsnprintf(3) function, but still returns to the caller.

data
    The data, exactly as to be passed to the vsnprintf(3) system call.

data_size
    The data_size, exactly as to be passed to the vsnprintf(3) system call.

format
    The format, exactly as to be passed to the vsnprintf(3) system call.

ap  The ap, exactly as to be passed to the vsnprintf(3) system call.

RETURN VALUE
The explain_vsnprintf_or_die function only returns on success, see vsnprintf(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_vsnprintf_on_error function always returns the value return by the wrapped vsnprintf(3) system call.

EXAMPLE
The explain_vsnprintf_or_die function is intended to be used in a fashion similar to the following example:
    int result = explain_vsnprintf_or_die(data, data_size, format, ap);

SEE ALSO

vsnprintf(3)
    formatted output conversion

explain_vsnprintf(3)
    explain vsnprintf(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.4
Copyright (C) 2010 Peter Miller